| QxOrm 1.2.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Private Member Functions | Static Private Attributes
qx::trait::is_ptr_to_pod< T > Class Template Reference
QxTraits : QxOrm library traits (template metaprogramming) not available in 'boost::type_traits' library

qx::trait::is_ptr_to_pod<T>::value : return true if T is a pointer to a POD type (char, int, long, etc.), otherwise return false More...

`#include <is_ptr_to_pod.h>`

List of all members.

## Public Types
enum | { value = (boost::is_pointer<T>::value && (sizeof(qx::trait::is_ptr_to_pod<T>::removePtr(t)) == sizeof(char))) }
typedef boost::mpl::if_c < qx::trait::is_ptr_to_pod< T > ::value, boost::mpl::true_, boost::mpl::false_ >::type | type
## Static Private Member Functions
template<typename U >
static boost::mpl::if_c < qx::trait::is_qx_pod< U > ::value, char, int >::type | removePtr (const volatile U *const volatile)
static int | removePtr (...)
## Static Private Attributes
static T | t

## Detailed Description

### template<typename T>
class qx::trait::is_ptr_to_pod< T >

qx::trait::is_ptr_to_pod<T>::value : return true if T is a pointer to a POD type (char, int, long, etc.), otherwise return false

Definition at line 60 of file is_ptr_to_pod.h.

## Member Typedef Documentation

template<typename T >

typedef boost::mpl::if_c<qx::trait::is_ptr_to_pod<T>::value, boost::mpl::true_, boost::mpl::false_>::type qx::trait::is_ptr_to_pod< T >::type

Definition at line 75 of file is_ptr_to_pod.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator:

  value |

Definition at line 73 of file is_ptr_to_pod.h.

## Member Function Documentation

template<typename T >
template<typename U >

static boost::mpl::if_c<qx::trait::is_qx_pod<U>::value, char, int>::type qx::trait::is_ptr_to_pod< T >::removePtr | ( | const volatile U *const | volatile | ) | `[static, private]`

template<typename T >

static int qx::trait::is_ptr_to_pod< T >::removePtr | ( |  | ... | ) | `[static, private]`

## Member Data Documentation

template<typename T >

T qx::trait::is_ptr_to_pod< T >::t`[static, private]`

Definition at line 69 of file is_ptr_to_pod.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/is_ptr_to_pod.h